#
# $Id: firebird_schema.sql 121 2008-06-20 19:42:08Z evil3 $
#


# Table: 'phpbb_trolls'
CREATE TABLE phpbb_trolls (
	troll_id INTEGER NOT NULL,
	user_id INTEGER DEFAULT 0 NOT NULL
);;

ALTER TABLE phpbb_trolls ADD PRIMARY KEY (troll_id);;

CREATE INDEX phpbb_trolls_user_id ON phpbb_trolls(user_id);;

CREATE GENERATOR phpbb_trolls_gen;;
SET GENERATOR phpbb_trolls_gen TO 0;;

CREATE TRIGGER t_phpbb_trolls FOR phpbb_trolls
BEFORE INSERT
AS
BEGIN
	NEW.troll_id = GEN_ID(phpbb_trolls_gen, 1);
END;;


# Table: 'phpbb_troll_actions'
CREATE TABLE phpbb_troll_actions (
	action_id INTEGER NOT NULL,
	action_enabled INTEGER DEFAULT 1 NOT NULL,
	action_name VARCHAR(255) CHARACTER SET NONE DEFAULT '' NOT NULL,
	action_settings BLOB SUB_TYPE TEXT CHARACTER SET UTF8 DEFAULT '' NOT NULL
);;

ALTER TABLE phpbb_troll_actions ADD PRIMARY KEY (action_id);;

CREATE INDEX phpbb_troll_actions_action_enabled ON phpbb_troll_actions(action_enabled);;

CREATE GENERATOR phpbb_troll_actions_gen;;
SET GENERATOR phpbb_troll_actions_gen TO 0;;

CREATE TRIGGER t_phpbb_troll_actions FOR phpbb_troll_actions
BEFORE INSERT
AS
BEGIN
	NEW.action_id = GEN_ID(phpbb_troll_actions_gen, 1);
END;;


