/*

 $Id: mssql_schema.sql 121 2008-06-20 19:42:08Z evil3 $

*/

BEGIN TRANSACTION
GO

/*
	Table: 'phpbb_trolls'
*/
CREATE TABLE [phpbb_trolls] (
	[troll_id] [int] IDENTITY (1, 1) NOT NULL ,
	[user_id] [int] DEFAULT (0) NOT NULL 
) ON [PRIMARY]
GO

ALTER TABLE [phpbb_trolls] WITH NOCHECK ADD 
	CONSTRAINT [PK_phpbb_trolls] PRIMARY KEY  CLUSTERED 
	(
		[troll_id]
	)  ON [PRIMARY] 
GO

CREATE  INDEX [user_id] ON [phpbb_trolls]([user_id]) ON [PRIMARY]
GO


/*
	Table: 'phpbb_troll_actions'
*/
CREATE TABLE [phpbb_troll_actions] (
	[action_id] [int] IDENTITY (1, 1) NOT NULL ,
	[action_enabled] [int] DEFAULT (1) NOT NULL ,
	[action_name] [varchar] (255) DEFAULT ('') NOT NULL ,
	[action_settings] [text] DEFAULT ('') NOT NULL 
) ON [PRIMARY] TEXTIMAGE_ON [PRIMARY]
GO

ALTER TABLE [phpbb_troll_actions] WITH NOCHECK ADD 
	CONSTRAINT [PK_phpbb_troll_actions] PRIMARY KEY  CLUSTERED 
	(
		[action_id]
	)  ON [PRIMARY] 
GO

CREATE  INDEX [action_enabled] ON [phpbb_troll_actions]([action_enabled]) ON [PRIMARY]
GO



COMMIT
GO

