/*

 $Id: oracle_schema.sql 121 2008-06-20 19:42:08Z evil3 $

*/


/*
	Table: 'phpbb_trolls'
*/
CREATE TABLE phpbb_trolls (
	troll_id number(8) NOT NULL,
	user_id number(8) DEFAULT '0' NOT NULL,
	CONSTRAINT pk_phpbb_trolls PRIMARY KEY (troll_id)
)
/

CREATE INDEX phpbb_trolls_user_id ON phpbb_trolls (user_id)
/

CREATE SEQUENCE phpbb_trolls_seq
/

CREATE OR REPLACE TRIGGER t_phpbb_trolls
BEFORE INSERT ON phpbb_trolls
FOR EACH ROW WHEN (
	new.troll_id IS NULL OR new.troll_id = 0
)
BEGIN
	SELECT phpbb_trolls_seq.nextval
	INTO :new.troll_id
	FROM dual;
END;
/


/*
	Table: 'phpbb_troll_actions'
*/
CREATE TABLE phpbb_troll_actions (
	action_id number(8) NOT NULL,
	action_enabled number(1) DEFAULT '1' NOT NULL,
	action_name varchar2(255) DEFAULT '' ,
	action_settings clob DEFAULT '' ,
	CONSTRAINT pk_phpbb_troll_actions PRIMARY KEY (action_id)
)
/

CREATE INDEX phpbb_troll_actions_action_enabled ON phpbb_troll_actions (action_enabled)
/

CREATE SEQUENCE phpbb_troll_actions_seq
/

CREATE OR REPLACE TRIGGER t_phpbb_troll_actions
BEFORE INSERT ON phpbb_troll_actions
FOR EACH ROW WHEN (
	new.action_id IS NULL OR new.action_id = 0
)
BEGIN
	SELECT phpbb_troll_actions_seq.nextval
	INTO :new.action_id
	FROM dual;
END;
/


