/*

 $Id: postgres_schema.sql 121 2008-06-20 19:42:08Z evil3 $

*/

BEGIN;


/*
	Table: 'phpbb_trolls'
*/
CREATE SEQUENCE phpbb_trolls_seq;

CREATE TABLE phpbb_trolls (
	troll_id INT4 DEFAULT nextval('phpbb_trolls_seq'),
	user_id INT4 DEFAULT '0' NOT NULL CHECK (user_id >= 0),
	PRIMARY KEY (troll_id)
);

CREATE INDEX phpbb_trolls_user_id ON phpbb_trolls (user_id);

/*
	Table: 'phpbb_troll_actions'
*/
CREATE SEQUENCE phpbb_troll_actions_seq;

CREATE TABLE phpbb_troll_actions (
	action_id INT4 DEFAULT nextval('phpbb_troll_actions_seq'),
	action_enabled INT2 DEFAULT '1' NOT NULL CHECK (action_enabled >= 0),
	action_name varchar(255) DEFAULT '' NOT NULL,
	action_settings TEXT DEFAULT '' NOT NULL,
	PRIMARY KEY (action_id)
);

CREATE INDEX phpbb_troll_actions_action_enabled ON phpbb_troll_actions (action_enabled);


COMMIT;